Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1595221 - deployment fails if bridge name is different then 'ovirtmgmt'
Summary: deployment fails if bridge name is different then 'ovirtmgmt'
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: Network
Version: 2.2.23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ovirt-4.2.5
: ---
Assignee: Ido Rosenzwig
QA Contact: Meni Yakove
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-26 12:04 UTC by Ido Rosenzwig
Modified: 2018-07-20 08:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-04 08:15:31 UTC
oVirt Team: Network
rule-engine: ovirt-4.2+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 92532 master ABANDONED src: Make bridge name configurable 2018-12-16 01:57:14 UTC

Description Ido Rosenzwig 2018-06-26 12:04:11 UTC
Description of problem:
Deployment fails if one sets the bridge name to be something other then 'ovirtmgmt'.


error:

[ INFO  ] TASK [Add VM]
[ ERROR ] Exception: Profile 'bridge_ovirt' was not found in cluster 'Default'
[ ERROR ] fatal: [localhost]: FAILED! => {"changed": false, "msg": "Profile 'bridge_ovirt' was not found in cluster 'Default'"}
[ ERROR ] Failed to execute stage 'Closing up': Failed executing ansible-playbook


ovirtmgmt bridge was created even though I set the bridge name to be bridge_ovirt:

[root@host1 ~]# ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: ens3: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast master ovirtmgmt state UP group default qlen 1000
    link/ether 52:54:00:21:c0:31 brd ff:ff:ff:ff:ff:ff
18: ;vdsmdummy;: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 5e:c2:67:51:59:3c brd ff:ff:ff:ff:ff:ff
19: virbr0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP group default qlen 1000
    link/ether 52:54:00:5d:c7:cd brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.1/24 brd 192.168.122.255 scope global virbr0
       valid_lft forever preferred_lft forever
20: virbr0-nic: <BROADCAST,MULTICAST> mtu 1500 qdisc pfifo_fast master virbr0 state DOWN group default qlen 1000
    link/ether 52:54:00:5d:c7:cd brd ff:ff:ff:ff:ff:ff
21: vnet0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast master virbr0 state UNKNOWN group default qlen 1000
    link/ether fe:12:12:12:12:12 brd ff:ff:ff:ff:ff:ff
    inet6 fe80::fc12:12ff:fe12:1212/64 scope link 
       valid_lft forever preferred_lft forever
22: ovs-system: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 26:41:c1:21:74:2d brd ff:ff:ff:ff:ff:ff
23: br-int: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 6e:af:40:88:a9:47 brd ff:ff:ff:ff:ff:ff
24: ovirtmgmt: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP group default qlen 1000
    link/ether 52:54:00:21:c0:31 brd ff:ff:ff:ff:ff:ff
    inet 192.168.100.80/24 brd 192.168.100.255 scope global dynamic ovirtmgmt
       valid_lft 3558sec preferred_lft 3558sec
    inet6 fe80::5054:ff:fe21:c031/64 scope link 
       valid_lft forever preferred_lft forever



How reproducible:
100%

Steps to Reproduce:
1. Deploy hosted-engine with the following key on the answerfile:
OVEHOSTED_NETWORK/bridgeName=str:bridge_ovirt
'bridge_ovirt' is an example - it can be anything but ovirtmgmt


Actual results:
Deployment failed

Expected results:
Deployment succeed with the bridge name that was configured


Note You need to log in before you can comment on or make changes to this bug.